const oP = Object.prototype;

/**
 * 判断是否数组
 * @param {any} o 判断变量
 * @return {boolean} 结果
 */
export function isArray(o) {
  return oP.toString.call(o) === '[object Array]';
}

/**
 * 判断是否undfined
 * @param {any} o 判断变量
 * @return {boolean} 结果
 */
export function isUndefined(o) {
  return o === undefined;
}

/**
 * 是否对象
 * @param {any} o 判断变量
 * @return {boolean} 结构
 */
export function isObject(o) {
  return oP.toString.call(o) === '[object Object]';
}

/**
 * 是否string
 * @param {*} o
 */
export function isString(o) {
  return typeof o === 'string';
}
